# roku-collector-libraries-release

This project contains collector library for native player.


# Roku Plugin for Eclipse IDE

For roku plugin installation and usage in Eclipse IDE<br/>

https://sdkdocs.roku.com/display/sdkdoc/Roku+Plugin+for+Eclipse+IDE
<br/>
<br/>

# Installation Instructions

1) Clone the repository
```
git clone https://gitlab.com/datazoom/roku/roku-collector-libraries-release.git
```

2) Extract the most recent ```components``` folder from cloned repository

3) Copy the ```components``` folder in your channel project.
    # Note: We assume that <br/>
     a) User had already created a roku project(in Eclipse IDE).<br/>
    
     b) Project does not have components folder.
        If there is already a components folder, then copy the content of ```components``` directory(DzLib folder)  into your project's components directory
    ```
    eg: /<your project>/components/DzLib
    ```
     c) This project contains the base and native-collector library(inside DzLib folder).


# Configuring collector library in channel

1) Copy the following in MainScene.brs(in components folder) or in the brs file you intend to configure the collector library.<br/>
	In Sub/function init(), add the following

		m.player = m.top.findNode("<Player ID>")
		m.DzLib = m.top.findNode("DzLib")
		DzCollector()

     Also add the following function

		Sub DzCollector()
		        m.DzLib.libConfiguration = {
		            player : m.player,
		            configURL : "https://<platform name>.datazoom.io",
		            configId: "<Configuration ID>"
	       		 }
	       		 m.DzLib.initiateCollector = true
		End Sub

	
	```DzCollector()``` will call the above function when initialized.
	
	# Note:
    Change the configURL, configId and ``` <Player ID> ``` as per the requirement.



2) Copy the following inside ``` <children> ``` in MainScene.xml or in the xml file you intend to configure the collector library.<br/>

    ```
    	<DzLib id="DzLib" />
    ```
    
    
    Example:-
    ```
    	<children>
    		<DzLib id="DzLib" />
    		<Video id="<Player ID>" />
    	</children>
    ```
    # Note:
    Change ```<Player ID>``` as per the requirement.



# Instructions to create a compiled zip file

1) Your-Project(Right click) > Export > BrightScript > BrightScript Deployment >[Change File name/path, if needed (.zip)] > Finish

2) Open browser and go to Roku's local network IP address.(eg: 192.168.0.9). Provide username and password of developer mode.

3) Click upload and select the newly created zip file. Click install.

4) The channel will automatically start playing. This channel can also be played by-> go to roku menu, select the roku developer channel and play.

5) To view the datapoints generated by Roku, go to Linux terminal and type

```
		telnet <Roku's Local IP> 8085
		eg: - telnet 192.168.0.9 8085
```
<br/>
Reference: https://sdkdocs.roku.com/display/sdkdoc/Debugging+Your+Application

# Link to License/Confidentiality Agreement
Datazoom, Inc ("COMPANY") CONFIDENTIAL
Copyright (c) 2017-2018 [Datazoom, Inc.], All Rights Reserved.
NOTICE:  All information contained herein is, and remains the property of COMPANY. The intellectual and technical concepts contained
herein are proprietary to COMPANY and may be covered by U.S. and Foreign Patents, patents in process, and are protected by trade secret or copyright law.
Dissemination of this information or reproduction of this material is strictly forbidden unless prior written permission is obtained
from COMPANY.  Access to the source code contained herein is hereby forbidden to anyone except current COMPANY employees, managers or contractors who have executed
Confidentiality and Non-disclosure agreements explicitly covering such access.
The copyright notice above does not evidence any actual or intended publication or disclosure  of  this source code, which includes
information that is confidential and/or proprietary, and is a trade secret, of  COMPANY.   ANY REPRODUCTION, MODIFICATION, DISTRIBUTION, PUBLIC  PERFORMANCE,
OR PUBLIC DISPLAY OF OR THROUGH USE  OF THIS  SOURCE CODE  WITHOUT  THE EXPRESS WRITTEN CONSENT OF COMPANY IS STRICTLY PROHIBITED, AND IN VIOLATION OF APPLICABLE
LAWS AND INTERNATIONAL TREATIES.  THE RECEIPT OR POSSESSION OF  THIS SOURCE CODE AND/OR RELATED INFORMATION DOES NOT CONVEY OR IMPLY ANY RIGHTS
TO REPRODUCE, DISCLOSE OR DISTRIBUTE ITS CONTENTS, OR TO MANUFACTURE, USE, OR SELL ANYTHING THAT IT  MAY DESCRIBE, IN WHOLE OR IN PART.




